"**GRANNY** is going to rate your apples"
---
**GRANNY** is a program for superficial disorder rating in "Granny Smith" apples. 

## Introduction 

Superficial scald is a physiological disorder that occurs following a chilling injury during early weeks of fruit storage, but with delayed symptom development - most notably peel necrosis that occurs in irregular patterns. Currently, quantification of the superficial scald incidence is performed manually by trained technicians with a few inconsistencies: 
- The set of rating values is small and coarse-grained. 
- The ratings are subjected to human error and individual bias

In order to resolve the problem, the [Ficklin Research Program](http://ficklinlab.cahnrs.wsu.edu/) at Washington State University has developed a computer vision approach for automatic detection and rating in apple images, specifically the "Granny Smith" cultivar.

Inspired by the well-known apple cultivar, **GRANNY** is Python-based implementation of Mask-RCNN and image segmentation techniques, aiming to assist technicians in the superficial disorder rating process. 

## Installation and Usage
Want **GRANNY** to rate your apples? Please refer to our [demo](https://github.com/SystemsGenetics/granny/tree/master/demo) page for installation and usage. 

### Limitations 
This program contains certain limitations. 

